Description

I found that redmine authentication is based on an internal redmine account, or possibly external LDAP/OpenId accounts.

With plenty of existing apache/svn accounts, a poor sysadmin may wish to reuse this already working apache authentication directly

instead of having to setup some LDAP server or to reopen many accounts especially in redmine, and maintain these in parallel.

There may be a way to do this simple task, but it does not stand out of the documentation (HOWTO, search in issues...).

Maybe I'm the only one trying to use redmine on top of existing svn projects?

ISTM that simply putting the hashed Apache login/pass into the users table would not work, as the password hash format does not

look the same at all.

History

#1 - 2010-09-16 13:45 - Felix Schäfer

There's a plugin to be able to use http auth with redmine, see http://github.com/AdamLantos/redmine_http_auth , and the authentication is planned to

get modularized more, the out of the box method being the internal authentication, so I don't think something like that will be included into core.

#2 - 2010-09-16 15:21 - Fabien Coelho

Thanks a lot for the pointer!

ISTM that it is a "standard" use case if someone is not starting from an empty basis (and even from scratch, I'm not sure I would setup an LDAP

server for a few dozen svn users), so how to solve this should at least be much clearer in the documentation.

#3 - 2010-09-16 15:42 - Felix Schäfer

- Status changed from New to Closed

This isn't an official plugin, but feel free to add a pointer to the install docs if you think it should be there. The "official" or "preferred" way is to have

your users in redmine and setup the svn authentication against it rather than the other way round.

#4 - 2010-09-16 15:57 - Fabien Coelho

As some of the projects existed long before redmine was created, I'm sure I could never have done it the other way around.

#5 - 2011-10-25 12:50 - Alban Heinz
